Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/workflows/getapi-v-1-workspaces-workspace-id-request-automations-type-automation-key-versions-version-id

# Get specific version of a request automation

GET `https://{tenant}.atomicwork.com/api/v1/workspaces/{workspace_id}/request-automations/{type}/{automation_key}/versions/{version_id}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### workspace\_id (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

#### type (path, enum (string), required)

Automation entity type (see allowed values in the enum schema).

#### automation\_key (path, string, required)

Automation UUID — the `key` field returned by list/get endpoints.

#### version\_id (path, integer, required)

Automation version ID (numeric).

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspace_id}/request-automations/{type}/{automation_key}/versions/{version_id}' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{workspace_id}/request-automations/{type}/{automation_key}/versions/{version_id}', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspace_id}/request-automations/{type}/{automation_key}/versions/{version_id}',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
